Skip to main content

Get Rate Limit

The API is used to retrieve the rate limit configuration for a website acceleration service.

Request

Request-Line

GET /cdn/v1.0/services/{serviceId}/rateLimit HTTP/1.1

Request Parameters

Path Parameters

ParameterTypeRequiredDescription
serviceIdIntegerMandatoryThe unique identifier of the service.

Response

Response Body

ParameterTypeDescription
timeWindowIntegerTime window for rate limiting (in seconds).
requestLimitIntegerMaximum number of requests allowed from the same client IP within the specified time window.
ignoreUrlPathBooleanIgnore URLs, apply a single limit for all URLs from the same user IP. Default is false.
ignoreQueryStringBooleanIgnore Query String when counting requests. Default is false.

Status Codes, Error Codes and Error Messages

Status CodeError CodeError Message
400InvalidCustomer.IdEmptyCustomer ID cannot be empty or invalid.
400InvalidService.IdIncorrectService ID is empty or invalid.
400InvalidService.IdPermissionService ID cannot be found or unknown.

Examples

Get Rate Limit

Request

GET /cdn/v1.0/services/228672/rateLimit HTTP/1.1

Successful Response Body

{
"timeWindow": 30,
"requestLimit": 50,
"ignoreUrlPath": true,
"ignoreQueryString": true
}